Opened 13 months ago

Closed 6 months ago

#11713 closed defect (worksforme)

IHNM: Unrecognized GOG version

Reported by: pmaciel Owned by: sev-
Priority: low Component: Engine: SAGA
Version: Keywords: unknown-game
Cc: Game: Inherit the Earth

Description

Hi,

this version is an "Inherit The Earth" macOS install as bought from GOG (about two years ago now, when it first became available). I understand this isn't the typical/modern way to install this game (ie. an install instead of pointing ScummVM to the data files instead), and apparently ScummVM does not recognize this just yet.

The ScummVM (2.1.2, Mar 32 2020 00:39:04) report follows:

The game in 'ite' seems to be an unknown game variant.

Please report the following data to the ScummVM team at https://bugs.scummvm.org/ along with the name of the game you tried to add and its version, language, etc.:

Matched game IDs for the SAGA [ITE, IHNM] engine: ite-cd-mac

{"scripts.rsc", 0, "adf1f46c1d0589083996a7060c798ad0", 336006},
{"ite.rsc", 0, "7908bdb1ccf1b8341f4e2537f4194644", 8768193},

Change History (6)

comment:1 by sev-, 13 months ago

Could you please provide a bit more info. How was the GOG installer file called?

I downloaded the current inherit_the_earth_enUS_1_1_29652.pkg but it has different file names inside.

comment:2 by sev-, 6 months ago

Summary: Unknown game variant for SAGA [ITE, IHNM]IHNM: Unrecognized GOG version
Type: feature requestdefect

comment:3 by pmaciel, 6 months ago

Unfortunately I don't have access to that older version anymore. I bought it back in Aug 2013, and (then) the contents were different indeed. Also I've just tested, this 1.1 version is recognized/plays correctly in the latest (nightly) build, and the Windows download has the same contents.

I have asked GOG for access to the older version just now. I will post any update here, positive or negative.

comment:4 by pmaciel, 6 months ago

Hi sev,

I didn't manage to get access to that version from GOG, they suggest to contact the developers:

"""
I am afraid that a pre 1.1. version is no longer supported and therefore unavailable at our store.

For that you could try getting in touch directly with the developers of the game:
daniel@…
"""

I will try pursuing this older version with that contact.

comment:5 by bluegr, 6 months ago

If this version 1.0 is no longer available, and the updated version 1.1 works correctly, I don't really see a point in adding a detection entry for this. The user can just download the updated version from gog.com, which works fine

comment:6 by sev-, 6 months ago

Owner: set to sev-
Resolution: worksforme
Status: newclosed

OK, closing then.

Note: See TracTickets for help on using tickets.